Package ghidra.app.util.bin.format.pef

# Enum Class PackedDataOpcodes

java.lang.Object
java.lang.Enum<PackedDataOpcodes>
ghidra.app.util.bin.format.pef.PackedDataOpcodes

All Implemented Interfaces:
  `Serializable`, `Comparable<PackedDataOpcodes>`, `Constable`

public enum PackedDataOpcodes extends Enum<PackedDataOpcodes>
Packed Data Contents See Apple's -- IOPEFInternals.h

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `kPEFPkDataBlock`
  Block copy "count" bytes.
  `kPEFPkDataRepeat`
  Repeat "count" bytes "count2"+1 times.
  `kPEFPkDataRepeatBlock`
  Interleaved repeated and unique data.
  `kPEFPkDataRepeatZero`
  Interleaved zero and unique data.
  `kPEFPkDataReserved5`
  Reserved.
  `kPEFPkDataReserved6`
  Reserved.
  `kPEFPkDataReserved7`
  Reserved.
  `kPEFPkDataZero`
  Zero fill "count" bytes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PackedDataOpcodes`
  `get(int value)`
  `int`
  `getValue()`
  `static PackedDataOpcodes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PackedDataOpcodes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### kPEFPkDataZero

    public static final PackedDataOpcodes kPEFPkDataZero
    Zero fill "count" bytes.

  - ### kPEFPkDataBlock

    public static final PackedDataOpcodes kPEFPkDataBlock
    Block copy "count" bytes.

  - ### kPEFPkDataRepeat

    public static final PackedDataOpcodes kPEFPkDataRepeat
    Repeat "count" bytes "count2"+1 times.

  - ### kPEFPkDataRepeatBlock

    public static final PackedDataOpcodes kPEFPkDataRepeatBlock
    Interleaved repeated and unique data.

  - ### kPEFPkDataRepeatZero

    public static final PackedDataOpcodes kPEFPkDataRepeatZero
    Interleaved zero and unique data.

  - ### kPEFPkDataReserved5

    public static final PackedDataOpcodes kPEFPkDataReserved5
    Reserved.

  - ### kPEFPkDataReserved6

    public static final PackedDataOpcodes kPEFPkDataReserved6
    Reserved.

  - ### kPEFPkDataReserved7

    public static final PackedDataOpcodes kPEFPkDataReserved7
    Reserved.

- ## Method Details

  - ### values

    public static PackedDataOpcodes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PackedDataOpcodes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()

  - ### get

    public static PackedDataOpcodes get(int value)